[ Maverik Level 3 functions ]

#

mav_gfxWindowEventGet

## Summary

Check for window events.

## Syntax

int mav_gfxWindowEventGet(int *info);

- int *info
  returns information on the event

## Description

Thus function checks the window event queue to see if any events are outstanding. The window events that are trapped are key press/release, mouse button press/release, window crossing, resize, mapping and exposure.

If an event is waiting to be processed, it is removed from the queue and details of that event are returned in `info`. The contents of `info` are dependent on the event type and are trivially derived from the source code to mav_gfxWM.

The function returns `MAV_TRUE` if an event was outstanding, `MAV_FALSE` otherwise.

Back to the index page.